javax.persistence.criteria

## Interface CriteriaDelete<T>

- Type Parameters:
    `T` - the entity type that is the target of the delete
  All Superinterfaces:
    CommonAbstractCriteria

      public interface CriteriaDelete<T>
      extends CommonAbstractCriteria

  The `CriteriaDelete` interface defines functionality for performing bulk delete operations using the Criteria API

  Criteria API bulk delete operations map directly to database delete operations. The persistence context is not synchronized with the result of the bulk delete.

  A `CriteriaDelete` object must have a single root.

  Since:
    Java Persistence 2.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Root<T>` | `from(Class<T> entityClass)` Create and add a query root corresponding to the entity that is the target of the delete.
    `Root<T>` | `from(EntityType<T> entity)` Create and add a query root corresponding to the entity that is the target of the delete.
    `Root<T>` | `getRoot()` Return the query root.
    `CriteriaDelete<T>` | `where(Expression<Boolean> restriction)` Modify the delete query to restrict the target of the deletion according to the specified boolean expression.
    `CriteriaDelete<T>` | `where(Predicate... restrictions)` Modify the delete query to restrict the target of the deletion according to the conjunction of the specified restriction predicates.

    - ### Methods inherited from interface javax.persistence.criteria.CommonAbstractCriteria

      `getRestriction, subquery`

- - ### Method Detail

    - #### from

          Root<T> from(Class<T> entityClass)

      Create and add a query root corresponding to the entity that is the target of the delete. A `CriteriaDelete` object has a single root, the entity that is being deleted.
      Parameters:
        `entityClass` - the entity class
      Returns:
        query root corresponding to the given entity

    - #### from

          Root<T> from(EntityType<T> entity)

      Create and add a query root corresponding to the entity that is the target of the delete. A `CriteriaDelete` object has a single root, the entity that is being deleted.
      Parameters:
        `entity` - metamodel entity representing the entity of type X
      Returns:
        query root corresponding to the given entity

    - #### getRoot

          Root<T> getRoot()

      Return the query root.
      Returns:
        the query root

    - #### where

          CriteriaDelete<T> where(Expression<Boolean> restriction)

      Modify the delete query to restrict the target of the deletion according to the specified boolean expression. Replaces the previously added restriction(s), if any.
      Parameters:
        `restriction` - a simple or compound boolean expression
      Returns:
        the modified delete query

    - #### where

          CriteriaDelete<T> where(Predicate... restrictions)

      Modify the delete query to restrict the target of the deletion according to the conjunction of the specified restriction predicates. Replaces the previously added restriction(s), if any. If no restrictions are specified, any previously added restrictions are simply removed.
      Parameters:
        `restrictions` - zero or more restriction predicates
      Returns:
        the modified delete query

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.